*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #f8fafc;
}
.input-container{
    justify-self: center;
    margin-top: 3%;
    padding: 35px;
    background-color: #ffffff;
    color: #0f172a;
    border-radius: 12px;
    box-sizing: border-box;
    box-shadow: 2px 3px 15px rgba(0, 0, 0, 0.2);
    width: calc(100% - 65%);
}
.input-container h1{
    background-color: #ffffff;
    text-align: center;
    font-weight: 800;
    font-style: italic;
    text-shadow: 1px 2px 12px rgba(0, 0, 0, 0.2);
}
.input-container h3{
    background-color: #ffffff;
    text-align: center;
    font-weight: 600;
    margin-bottom: 1rem;
    text-shadow: 1px 2px 12px rgba(0, 0, 0, 0.2);
}
.input-container input{
    border: none;
    outline: none;
    background-color: #ffffff;
    border-bottom: 2px solid #0a0a0a;
    padding: 10px 5px 7px 3px;
    width: 96%;
    font-size: 17px;
}
.input-container p{
    margin-top: 0.8rem;
    color: #64748b;
    font-size: 14px;
    background-color: #ffffff;
}
#progBar{
    width: 92%;
    padding: 0;
    margin-top: 0.15rem;
    cursor: pointer;
}
#detail{
    width: 96.5%;
    height: 4.5rem;
    background-color: #ffffff;
    border: solid 1.5px #0a0a0a;
    border-radius: 5px;
    padding: 10px 5px 5px 10px;
    margin-top: 0.5rem;
    resize: none;
    font-size: 14px;
}
.input-container span{
    font-weight: 700;
    font-style: italic;
}
.input-container button{
    width: 97%;
    border: none;
    background: linear-gradient(to right, #3b82f6 0%, #0d5cda 50%, #1d4ed8 100%);
    color: #f8fafc;
    padding: 10px 20px;
    border-radius: 7px;
    margin-top: 0.65rem;
    cursor: pointer;
    font-size: 1rem;
    transition: linear 0.13s;
}
.input-container button:active{
    transform: scale(1.006);
    color: #7cb9f7;
}
/* Style Buat div UpdateStateBtn */
#UpdateStateBtn{
    display: none;
    grid-template-columns: 1fr 1fr;
    width: 98.5%;
}

/* Style return dari function tampilkan */
.mastered{
    padding: 35px;
    width: calc(100% - 65%);
    background-color: #ffffff;
    justify-self: center;
    margin-top: 1.5rem;
    border-radius: 12px;
    box-sizing: border-box;
    border: 3px solid #f59e0b;
    animation: pulse linear 1.3s infinite;
    box-shadow: 2px 3px 15px rgb(231, 150, 74);
}
@keyframes pulse{
    0%{
        transform: scale(1);
    }
    50%{
        transform: scale(1.01);
    }
    100%{
        transform: scale(1);
    }
}
.mastered-progFill{
    height: 1rem;
    display: block;
    background: linear-gradient(90deg, #f59e0b, #ef4444);
}
.mastered h6{
    color: #64748b;
    margin-top: 1rem;
}
.skill-container{
    padding: 35px;
    width: calc(100% - 65%);
    background-color: #ffffff;
    justify-self: center;
    margin-top: 1.5rem;
    border-radius: 12px;
    box-sizing: border-box;
    box-shadow: 2px 3px 12px rgba(0, 0, 0, 0.2);
}
.skill-container h6{
    color: #64748b;
    margin-top: 1rem;
}
.skill-info{
    width: 100%;
    display: flex;
    justify-content: space-between;
    background-color: #ffffff;
}
.skill-info h3, h4{
    margin: 0 0.5rem 0.5rem 0.5rem;
    font-weight: 600;
    text-shadow: 1px 2px 7px rgba(0, 0, 0, 0.2);
    background-color: #ffffff;
}
.skill-info h4{
    font-style: italic;
}
.skill-info span{
    text-shadow: 2px 3px 7px rgb(247, 247, 62);
}
.prog-bar{
    width: 100%;
    height: 1rem;
    display: block;
    background-color: #f8fafc;
    border-radius: 20px;
    box-sizing: border-box;
    box-shadow: 1px 2px 12px rgba(0, 0, 0, 0.2); 
    overflow: hidden;
}
.prog-fill{
    height: 1rem;
    display: block;
    background-color: #4caf50;
}
.skillDetail{
    margin: 0.4rem;
    background-color: #ffffff;
    resize: none;
    border: solid 2px #0a0a0a;
    border-radius: 7px;
    width: 100%;
    height: 3.5rem;
    font-size: 12px;
    padding: 10px 5px 5px 5px;
}
.skill-btns{
    background-color: #ffffff;
    margin-top: 0.6rem;
    margin-left: 0.7rem;
}
.skill-btns button{
    padding: 10px 25px;
    border: none;
    border-radius: 7px;
    color: #ffffff;
    cursor: pointer;
}
.edit{
    background-color: #2196f3;
}
.delete{
    background-color: #f44336;
}
.class-container{
    margin-top: 1rem;
    
}